using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinForms.Day3 {

   public class Listing34 : Form {
      Button btAccept = new Button();
      Button btCancel = new Button();
      Label lblMessage = new Label();

      public Listing34() {
         lblMessage.Location = new Point(75,150);
         lblMessage.Width = 200;

         btAccept.Location = new Point(100,25);
         btAccept.Text = "Accept";
         btAccept.Click += new EventHandler(this.AcceptIt);

         btCancel.Location = new Point(100,100);
         btCancel.Text = "Cancel";
         btCancel.Click += new EventHandler(this.CancelIt);

         this.AcceptButton = btAccept;
         this.CancelButton = btCancel;
         this.Text = "Accept and Cancel Button Example";
         this.Height = 200;
         this.Controls.Add(lblMessage);
         this.Controls.Add(btAccept);
         this.Controls.Add(btCancel);
      }
   
      public void AcceptIt(Object Sender, EventArgs e) {
         lblMessage.Text = "Accept button pressed";
      }

      public void CancelIt(Object Sender, EventArgs e) {
         lblMessage.Text = "Cancel button pressed";
      }

   }


   public class StartForm {
      public static void Main() {
         Application.Run(new Listing34());
      }
   }

}