using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinForms.Day7 {
   public class Listing75 : Form {
      public Button btColor = new Button();

      public Listing75() {
         btColor.Text = "Change Color!";
         btColor.Location = new Point(10,10);
         btColor.Size = new Size(100,25);
         btColor.Click += new EventHandler(this.ChangeColor);

         this.Controls.Add(btColor);
      }

      public void ChangeColor(Object Sender, EventArgs e) {
         ColorDialog dlgColor = new ColorDialog();

         if (dlgColor.ShowDialog() == DialogResult.OK) {
            this.BackColor = dlgColor.Color;
         }
      }

      public static void Main() {
         Application.Run(new Listing75());
      }
   }
}