using System;
using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Printing;

namespace TYWinForms.Day7 {
   public class Listing76 : Form {
      private PageSettings objPageSettings;
      private Button btShowDialog = new Button();

      public Listing76() {
         btShowDialog.Text = "Page Settings";
         btShowDialog.Click += new EventHandler(this.ShowSettings);

         this.Controls.Add(btShowDialog);
      }

      private void ShowSettings(Object Sender, EventArgs e) {
         if (objPageSettings == null) {
            objPageSettings = new PageSettings();
         }

         PrintPreviewDialog dlgSettings = new PrintPreviewDialog();
         dlgSettings.Document = new PrintDocument();
         dlgSettings.ShowDialog();

//         PageSetupDialog dlgSettings = new PageSetupDialog();
//         dlgSettings.PageSettings = objPageSettings;
//         dlgSettings.ShowDialog();
      }

      public static void Main() {
         Application.Run(new Listing76());
      }
   }
}