using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinforms.Day13 {
   public class Listing134 : Form {
      private Image objImg;
      private Rectangle rectOriginal;
      private Point[] arrPoints = new Point[3];
      private Button btClick = new Button();
      private Label lblRect = new Label();
      private Label lblPoint = new Label();
      private TextBox tbTop = new TextBox();
      private TextBox tbLeft = new TextBox();
      private TextBox tbWidth = new TextBox();
      private TextBox tbHeight = new TextBox();
      private TextBox tbUpperLeftX = new TextBox();
      private TextBox tbUpperRightX = new TextBox();
      private TextBox tbLowerLeftX = new TextBox();
      private TextBox tbUpperLeftY = new TextBox();
      private TextBox tbUpperRightY = new TextBox();
      private TextBox tbLowerLeftY = new TextBox();

      private Panel pnlImage = new Panel();

      public Listing134() {
         objImg = Image.FromFile("c:\\winforms\\day13\\sample.jpg");
         rectOriginal = new Rectangle(0, 0, objImg.Width, objImg.Height);

         arrPoints[0].X = rectOriginal.X;
         arrPoints[0].Y = rectOriginal.Y;
         arrPoints[1].X = rectOriginal.Width;
         arrPoints[1].Y = rectOriginal.Y;
         arrPoints[2].X = rectOriginal.X;
         arrPoints[2].Y = rectOriginal.Height;

         pnlImage.Width = 150;
         pnlImage.Dock = DockStyle.Right;
         pnlImage.Controls.Add(btClick);
         pnlImage.Controls.Add(lblRect);
         pnlImage.Controls.Add(lblPoint);
         pnlImage.Controls.Add(tbUpperLeftX);
         pnlImage.Controls.Add(tbUpperRightX);
         pnlImage.Controls.Add(tbLowerLeftX);
         pnlImage.Controls.Add(tbUpperLeftY);
         pnlImage.Controls.Add(tbUpperRightY);
         pnlImage.Controls.Add(tbLowerLeftY);

         btClick.Text = "Change!";
         btClick.Location = new Point(25,350);
         btClick.Click += new EventHandler(this.DistortImage);

         lblPoint.Text = "Distort (Upper-left, upper-right, lower-left)";
         lblPoint.Size = new Size(150, 30);
         lblPoint.Location = new Point(0,65);

         tbUpperLeftX.Location = new Point(10,100);
         tbUpperLeftX.Width = 30;
         tbUpperLeftX.Text = rectOriginal.X.ToString();
         tbUpperRightX.Location = new Point(10,125);
         tbUpperRightX.Width = 30;
         tbUpperRightX.Text = rectOriginal.Width.ToString();
         tbLowerLeftX.Location = new Point(10,150);
         tbLowerLeftX.Width = 30;
         tbLowerLeftX.Text = rectOriginal.X.ToString();
         tbUpperLeftY.Location = new Point(40,100);
         tbUpperLeftY.Width = 30;
         tbUpperLeftY.Text = rectOriginal.Y.ToString();
         tbUpperRightY.Location = new Point(40,125);
         tbUpperRightY.Width = 30;
         tbUpperRightY.Text = rectOriginal.Y.ToString();
         tbLowerLeftY.Location = new Point(40,150);
         tbLowerLeftY.Width = 30;
         tbLowerLeftY.Text = rectOriginal.Height.ToString();

         this.Text = "Listing 13.4";
         this.Size = new Size(800,600);
         this.Controls.Add(pnlImage);
      }

      private void DistortImage(Object Sender, EventArgs e) {
         arrPoints[0].X = Convert.ToInt32(tbUpperLeftX.Text);
         arrPoints[0].Y = Convert.ToInt32(tbUpperLeftY.Text);
         arrPoints[1].X = Convert.ToInt32(tbUpperRightX.Text);
         arrPoints[1].Y = Convert.ToInt32(tbUpperRightY.Text);
         arrPoints[2].X = Convert.ToInt32(tbLowerLeftX.Text);
         arrPoints[2].Y = Convert.ToInt32(tbLowerLeftY.Text);

         this.Refresh();
      }

      protected override void OnPaint(PaintEventArgs e) {
         Graphics objGraphics = e.Graphics;

         objGraphics.DrawImage(objImg, arrPoints, rectOriginal, GraphicsUnit.Pixel);
      }

      public static void Main() {
         Application.Run(new Listing134());
      }
   }
}