using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinForms.Day17 {
   public class Listing171 : Form {
      private ListBox lbxItems = new ListBox();

      public Listing171() {
         lbxItems.Location = new Point(75,75);

         lbxItems.Items.Add("Item 1");
         lbxItems.Items.Add("Item 2");
         lbxItems.Items.Add("Item 3");
         lbxItems.Items.Add("Item 4");
         lbxItems.Items.Add("Item 5");

         lbxItems.DrawMode = DrawMode.OwnerDrawFixed;
         lbxItems.DrawItem += new DrawItemEventHandler(this.DrawMyBox);

         this.Text = "Listing 17.1";
         this.Controls.Add(lbxItems);
      }

      public void DrawMyBox(Object Sender, DrawItemEventArgs e) {
         e.DrawBackground();

         if ((e.State & DrawItemState.Selected) == DrawItemState.Selected) { 
            e.Graphics.FillRectangle(Brushes.Orange, e.Bounds);
            e.Graphics.DrawString("Item " + e.Index + " selected!", new Font("Arial",10), Brushes.Blue, new Point(e.Bounds.X, e.Bounds.Y));
         } else {
            e.Graphics.DrawString("Item " + e.Index, new Font("Arial",10), Brushes.Black, new Point(e.Bounds.X, e.Bounds.Y));
         }
      }

      public static void Main() {
         Application.Run(new Listing171());
      }
   }

}