Imports System
Imports System.Windows.Forms
Imports System.Drawing

namespace TYWinForms.Day17
   public class Listing171 : Inherits Form
      private lbxItems As New ListBox()

      public sub New()
         lbxItems.Location = new Point(75,75)

         lbxItems.Items.Add("Item 1")
         lbxItems.Items.Add("Item 2")
         lbxItems.Items.Add("Item 3")
         lbxItems.Items.Add("Item 4")
         lbxItems.Items.Add("Item 5")

         lbxItems.DrawMode = DrawMode.OwnerDrawFixed
         AddHandler lbxItems.DrawItem, new DrawItemEventHandler(AddressOf Me.DrawMyBox)

         Me.Text = "Listing 17.1"
         Me.Controls.Add(lbxItems)
      end sub

      public sub DrawMyBox(Sender As Object, e As DrawItemEventArgs)
         e.DrawBackground()

         if (e.State And DrawItemState.Selected) = DrawItemState.Selected
            e.Graphics.FillRectangle(Brushes.Orange, e.Bounds)
            e.Graphics.DrawString("Item " & e.Index & " selected!", new Font("Arial",10), Brushes.Blue, new PointF(e.Bounds.X, e.Bounds.Y))
         else
            e.Graphics.DrawString("Item " & e.Index, new Font("Arial",10), Brushes.Black, new PointF(e.Bounds.X, e.Bounds.Y))
         end if
      end sub

      public shared sub Main() 
         Application.Run(new Listing171())
      end sub
   end class
end namespace