Imports System
Imports System.Windows.Forms
Imports System.Drawing

namespace TYWinForms.Day17

   public class Listing173 : Inherits Form 
      private tcMain As New TabControl()
      private tpGeneral As New TabPage("General")
      private tpDisplay As New TabPage("Display")
      private tpLocation As New TabPage("Location")
      private tpAdvanced As New TabPage("Advanced")

      public sub New()
         Me.Text = "Listing 17.3"
         Me.Width = 600
         Me.Controls.Add(tcMain)

         tcMain.Width = Me.Width
         tcMain.Height = Me.Height
         tcMain.TabPages.Add(tpGeneral)
         tcMain.TabPages.Add(tpDisplay)
         tcMain.TabPages.Add(tpLocation)
         tcMain.TabPages.Add(tpAdvanced)

         tcMain.ItemSize = new Size(75,20)
         tcMain.SizeMode = TabSizeMode.Fixed
         tcMain.DrawMode = TabDrawMode.OwnerDrawFixed
         AddHandler tcMain.DrawItem, new DrawItemEventHandler(AddressOf Me.DrawTab)
      end sub

      private sub DrawTab(Sender As Object, e As DrawItemEventArgs)
         if (e.State And DrawItemState.Selected) = DrawItemState.Selected then
            e.Graphics.DrawRectangle(Pens.Purple, tcMain.GetTabRect(e.Index))
            e.Graphics.DrawString(tcMain.TabPages(e.Index).Text, new Font("Arial",10), Brushes.Red, RectangleF.op_implicit(tcMain.GetTabRect(e.Index)))
         else
            e.Graphics.DrawString(tcMain.TabPages(e.Index).Text, new Font("Arial",10), Brushes.Black, RectangleF.op_implicit(tcMain.GetTabRect(e.Index)))
         end if
      end sub

      public shared sub Main()
         Application.Run(new Listing173())
      end sub
   end class
end namespace