using System;
using System.Windows.Forms;
using System.Drawing;
using System.Threading;

namespace TYWinforms.Day19 {
   public class Listing191 : Form {
      private Label lblInfo = new Label();

      public Listing191() {
         lblInfo.Size = new Size(300,300);
         lblInfo.Location = new Point(10,10);

         Thread thdCurrent = Thread.CurrentThread;
         lblInfo.Text = "Is alive: " + thdCurrent.IsAlive.ToString() + "\n";
         lblInfo.Text += "Is background: " + thdCurrent.IsBackground.ToString() + "\n";
         lblInfo.Text += "Priority: " + thdCurrent.Priority.ToString() + "\n";
         lblInfo.Text += "Thread state: " + thdCurrent.ThreadState.ToString() + "\n";

         this.Text = "Listing 19.1";
         this.Controls.Add(lblInfo);
      }

      public static void Main() {
         Application.Run(new Listing191());
      }
   }
}