using System;
using System.Windows.Forms;
using System.Drawing;
using System.Threading;

namespace TYWinforms.Day19 {
   public class Listing192 : Form {
      private Label lblInfo = new Label();
      private Button btStart = new Button();

      public Listing192() {
         lblInfo.Size = new Size(300,100);
         lblInfo.Location = new Point(10,75);

         btStart.Location = new Point(100,10);
         btStart.Text = "Start!";
         btStart.Click += new EventHandler(this.StartIt);

         Thread.CurrentThread.Name = "Main thread";

         this.Text = "Listing 19.2";
         this.Controls.Add(lblInfo);
         this.Controls.Add(btStart);
      }

      private void StartIt(Object Sender, EventArgs e) {
         lblInfo.Text = "Thread 2 started from " + Thread.CurrentThread.Name + "...\n";

         Thread thdTest = new Thread(new ThreadStart(DoIt));
         thdTest.Name = "Thread 2";

         thdTest.Start();
         lblInfo.Text += Thread.CurrentThread.Name + " sleeping...\n";
         Thread.Sleep(2000);
         lblInfo.Text += Thread.CurrentThread.Name + " waking...\n";
         thdTest.Join();

         lblInfo.Text += "Thread 2 ended...\n";
      }

      private void DoIt() {
         Thread.Sleep(1000);
         MessageBox.Show(Thread.CurrentThread.Name);
         lblInfo.Text += "Hello from " + Thread.CurrentThread.Name + "\n";
      }

      public static void Main() {
         Application.Run(new Listing192());
      }
   }
}