Imports System
Imports System.Windows.Forms
Imports System.Drawing
Imports System.Threading

namespace TYWinforms.Day19 
   public class Listing195 : Inherits Form 
      private lblInfo As new Label()
      private btStart As new Button()

      public sub New() 
         lblInfo.Size = new Size(300,200)
         lblInfo.Location = new Point(10,75)

         btStart.Location = new Point(100,10)
         btStart.Text = "Start!"
         AddHandler btStart.Click, new EventHandler(AddressOf StartIt)

         Me.Text = "Listing 19.5"
         Me.Controls.Add(lblInfo)
         Me.Controls.Add(btStart)
      End Sub

      private sub StartIt(Sender As Object, e As EventArgs) 
         dim i as integer

         for i = 0 to 10
            ThreadPool.QueueUserWorkItem(new WaitCallBack(AddressOf DoIt), i.ToString())
         next i 
      End Sub

      private sub DoIt(state As Object) 
         lblInfo.Text += "Hello from thread " & state.ToString() & Microsoft.VisualBasic.vbCrLf
      End Sub

      public shared sub Main() 
         Application.Run(new Listing195())
      End Sub
   End Class
End Namespace