using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinforms.Day2 {

   public class Calculator : Form {
      private Button btnAdd;
      private Button btnSubtract;
      private Button btnMultiply;
      private Button btnDivide;
      private TextBox tbNumber1;
      private TextBox tbNumber2;
      private Label lblAnswer;
      private Label lblNum1;
      private Label lblNum2;
      
      public static void Main() {
         Application.Run(new Calculator());
      }

      public Calculator() {
         this.btnAdd = new Button();
         this.btnSubtract = new Button();
         this.btnMultiply = new Button();
         this.btnDivide = new Button();
         this.tbNumber1 = new TextBox();
         this.tbNumber2 = new TextBox();
         this.lblAnswer = new Label();
         this.lblNum1 = new Label();
         this.lblNum2 = new Label();

         this.Width = 325;
         this.Height = 150;
         this.Text = "My Calculator";
         
         tbNumber1.Location = new Point(100,0);
         tbNumber2.Location = new Point(100,25);
         
         btnAdd.Location = new Point(0,75);
         btnAdd.Text = "+";
         btnAdd.Click += new EventHandler(this.Add);

         btnSubtract.Location = new Point(75,75);
         btnSubtract.Text = "-";
         btnSubtract.Click += new EventHandler(this.Subtract);

         btnMultiply.Location = new Point(150,75);
         btnMultiply.Text = "*";
         btnMultiply.Click += new EventHandler(this.Multiply);

         btnDivide.Location = new Point(225,75);
         btnDivide.Text = "/";
         btnDivide.Click += new EventHandler(this.Divide);

         lblNum1.Text = "Enter number 1:";      
         lblNum1.Location = new Point(0,0);

         lblNum2.Text = "Enter number 2:";
         lblNum2.Location = new Point(0,25);

         lblAnswer.Location = new Point(0,55);
         
         this.Controls.Add(btnAdd);
         this.Controls.Add(btnSubtract);
         this.Controls.Add(btnMultiply);
         this.Controls.Add(btnDivide);
         this.Controls.Add(tbNumber1);
         this.Controls.Add(tbNumber2);
         this.Controls.Add(lblAnswer);
         this.Controls.Add(lblNum1);
         this.Controls.Add(lblNum2);
      }
      
      public void Add(object Sender, EventArgs e) {
         lblAnswer.Text = Convert.ToString(Convert.ToInt32(tbNumber1.Text) + 
            Convert.ToInt32(tbNumber2.Text));
      }

      public void Subtract(object Sender, EventArgs e) {
         lblAnswer.Text = Convert.ToString(Convert.ToInt32(tbNumber1.Text) - 
            Convert.ToInt32(tbNumber2.Text));
      }

      public void Multiply(object Sender, EventArgs e) {
         lblAnswer.Text = Convert.ToString(Convert.ToInt32(tbNumber1.Text) * 
            Convert.ToInt32(tbNumber2.Text));
      }

      public void Divide(object Sender, EventArgs e) {
         lblAnswer.Text = Convert.ToString(Convert.ToInt32(tbNumber1.Text) / 
            Convert.ToInt32(tbNumber2.Text));
      }
   }
}