Imports System
Imports System.Windows.Forms
Imports System.Drawing

namespace TYWinforms.Day2 

   Public class Calculator : Inherits Form 
      private WithEvents btnAdd as Button
      private WithEvents btnSubtract as Button
      private WithEvents btnMultiply as Button
      private WithEvents btnDivide as Button
      private tbNumber1 as TextBox
      private tbNumber2 as TextBox
      private lblAnswer as Label
      private lblNum1 as Label
      private lblNum2 aS Label
      
      Public shared Sub Main() 
         Application.Run(new Calculator)
      End Sub

      Public Sub New() 
         Me.btnAdd = new Button()
         Me.btnSubtract = new Button()
         Me.btnMultiply = new Button()
         Me.btnDivide = new Button()
         Me.tbNumber1 = new TextBox()
         Me.tbNumber2 = new TextBox()
         Me.lblAnswer = new Label()
         Me.lblNum1 = new Label()
         Me.lblNum2 = new Label()

         Me.Width = 325
         Me.Height = 150
         Me.Text = "My Calculator"
         
         tbNumber1.Location = new Point(100,0)
         tbNumber2.Location = new Point(100,25)
         
         btnAdd.Location = new Point(0,75)
         btnAdd.Text = "+"
         AddHandler btnAdd.Click, new EventHandler(AddressOf Add)


         btnSubtract.Location = new Point(75,75)
         btnSubtract.Text = "-"
         AddHandler btnSubtract.Click, new EventHandler(AddressOf Subtract)

         btnMultiply.Location = new Point(150,75)
         btnMultiply.Text = "*"
         AddHandler btnMultiply.Click, new EventHandler(AddressOf Multiply)

         btnDivide.Location = new Point(225,75)
         btnDivide.Text = "/"
         AddHandler btnDivide.Click, new EventHandler(AddressOf Divide)

         lblNum1.Text = "Enter number 1:"      
         lblNum1.Location = new Point(0,0)

         lblNum2.Text = "Enter number 2:"
         lblNum2.Location = new Point(0,25)

         lblAnswer.Location = new Point(0,55)
         
         Me.Controls.Add(btnAdd)
         Me.Controls.Add(btnSubtract)
         Me.Controls.Add(btnMultiply)
         Me.Controls.Add(btnDivide)
         Me.Controls.Add(tbNumber1)
         Me.Controls.Add(tbNumber2)
         Me.Controls.Add(lblAnswer)
         Me.Controls.Add(lblNum1)
         Me.Controls.Add(lblNum2)
      End Sub
      
      Public Sub Add(ByVal Sender as Object, ByVal e as EventArgs) 
         lblAnswer.Text = CStr(Cint(tbNumber1.Text) + Cint(tbNumber2.Text))
      End Sub

      Public Sub Subtract(ByVal Sender as Object, ByVal e as EventArgs) 
         lblAnswer.Text = CStr(Cint(tbNumber1.Text) - _
            Cint(tbNumber2.Text))
      End Sub

      Public Sub Multiply(ByVal Sender as Object, ByVal e as EventArgs) 
         lblAnswer.Text = CStr(Cint(tbNumber1.Text) * _
            Cint(tbNumber2.Text))
      End Sub

      Public Sub Divide(ByVal Sender as Object, ByVal e as EventArgs) 
         lblAnswer.Text = CStr(Cint(tbNumber1.Text) / _
            Cint(tbNumber2.Text))
      End Sub
   End Class
End Namespace