using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinforms.Day2 {

   public class Calculator : Form {
      private Button btnAdd;
      private TextBox tbNumber1;
      private TextBox tbNumber2;
      private Label lblAnswer;
      
      public static void Main() {
         Application.Run(new Calculator());
      }

      public Calculator() {
         this.btnAdd = new Button();
         this.tbNumber1 = new TextBox();
         this.tbNumber2 = new TextBox();
         this.lblAnswer = new Label();
         
         tbNumber1.Location = new Point(0,0);
         tbNumber2.Location = new Point(100,0);
         
         btnAdd.Location = new Point(0,25);
         btnAdd.Text = "Add";
         btnAdd.Click += new EventHandler(this.Add);
         
         lblAnswer.Location = new Point(0,75);
         
         this.Controls.Add(btnAdd);
         this.Controls.Add(tbNumber1);
         this.Controls.Add(tbNumber2);
         this.Controls.Add(lblAnswer);
      }
      
      public void Add(object Sender, EventArgs e) {
         lblAnswer.Text = Convert.ToString(Convert.ToInt32(tbNumber1.Text) + 
            Convert.ToInt32(tbNumber2.Text));
      }
   }
}