using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinForms.Day4 {

   public class Listing43 : Form {
      private MainMenu mnuFile = new MainMenu();
      private ContextMenu ctmTextBox = new ContextMenu();
      private ContextMenu ctmLabel = new ContextMenu();
      private Label lblMessage = new Label();
      private TextBox tbMessage = new TextBox();

      public Listing43() {
         this.Text = "Listing 4.3";
         this.Menu = mnuFile;

         AddMenus();

         lblMessage.Text = "I love Windows Forms";
         lblMessage.Location = new Point(100,75);
         lblMessage.Width = 150;
     
         tbMessage.Text = "I love Windows Forms";
         tbMessage.Location = new Point(75,125);
         tbMessage.Width = 150;

         this.Controls.Add(lblMessage);
         this.Controls.Add(tbMessage);

      }

      public void AddMenus() {
         MenuItem miFile = mnuFile.MenuItems.Add("&File");
         MenuItem miOpen = miFile.MenuItems.Add("&Open");
         MenuItem miSave = miFile.MenuItems.Add("&Save");
         miFile.MenuItems.Add("-");
         MenuItem miExit = miFile.MenuItems.Add("Exit");

         MenuItem ctiLabel = ctmLabel.MenuItems.Add("Label menu");
         lblMessage.ContextMenu = ctmLabel;

         MenuItem ctiTextBox = ctmTextBox.MenuItems.Add("Textbox menu");
         tbMessage.ContextMenu = ctmTextBox;

      }

      public static void Main() {
         Application.Run(new Listing43());
      }
   }

}