using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinForms.Day4 {

   public class Listing45 : Form {
      private ToolBar tlbStandard = new ToolBar();
      private ImageList ilstToolbar = new ImageList();

      public Listing45() {
         AddToolbar();

         this.Controls.Add(tlbStandard);
      }

      public void AddToolbar() {
         ilstToolbar.Images.Add(Image.FromFile("i_open.bmp"));
         ilstToolbar.Images.Add(Image.FromFile("i_maximize.bmp"));
         ilstToolbar.Images.Add(Image.FromFile("i_happy.bmp"));

         ToolBarButton tbbOpen = new ToolBarButton();
         tbbOpen.ImageIndex = 0;
         tbbOpen.Text = "Open";

         ToolBarButton tbbMaximize = new ToolBarButton();
         tbbMaximize.ImageIndex = 1;
         tbbMaximize.Text = "Maximize";

         ToolBarButton tbbHappy = new ToolBarButton();
         tbbHappy.ImageIndex = 2;
         tbbHappy.Text = "Get happy!";

         tlbStandard.ImageList = ilstToolbar;
         tlbStandard.Buttons.Add(tbbOpen);
         tlbStandard.Buttons.Add(tbbMaximize);
         tlbStandard.Buttons.Add(tbbHappy);
         tlbStandard.Appearance = ToolBarAppearance.Flat;
      }

      public static void Main() {
         Application.Run(new Listing45());
      }
   }
}