Imports System
Imports System.Windows.Forms
Imports System.Drawing

namespace TYWinForms.Day6

   public class Listing612 : Inherits Form
      private tmrClock as New Timer
      private tmrAlarm as New Timer
      private lblClock as New Label
      private intSnoozeTime as Integer
      private intSnoozeCounter as Integer

      public sub New()
         intSnoozeTime = 10000   '10 seconds

         tmrClock.Interval = 1000
         tmrClock.Enabled = true
         AddHandler tmrClock.Tick, new EventHandler(AddressOf Me.UpdateClock)

         tmrAlarm.Interval = 1000
         tmrAlarm.Enabled = true
         AddHandler tmrAlarm.Tick, new EventHandler(AddressOf Me.CheckAlarm)

         lblClock.Width = 300
         lblClock.Height = 150
         lblClock.Location = new Point(0,100)
         lblClock.Text = DateTime.Now.ToString

         Me.Text = "Listing 6.12"
         Me.Font = new Font("Arial", 20)
         Me.Controls.Add(lblClock)
      end sub

      public sub UpdateClock(Sender as Object, e as EventArgs)
         lblClock.Text = DateTime.Now.ToString
      end sub

      public sub CheckAlarm(Sender as Object, e as EventArgs)
         intSnoozeCounter += tmrAlarm.Interval

         if intSnoozeCounter = intSnoozeTime then
            intSnoozeCounter = 0
            MessageBox.Show("Wake up sleepy head!!!")
         end if
      end sub

      public shared sub Main() 
         Application.Run(new Listing612)
      end sub
   end class
end namespace