Imports System
Imports System.Windows.Forms
Imports System.Drawing

namespace TYWinForms.Day7

   public class ChangeCaption : Inherits Form
      private btnChange as new Button
      private tbCaption as new TextBox

      public readonly property Caption as String
         Get
            Return tbCaption.Text
         End Get
      end property

      public sub New
         tbCaption.Location = new Point(10,10)

         btnChange.Text = "Change!"
         btnChange.Location = new Point(125,10)
         AddHandler btnChange.Click, new EventHandler(AddressOf Me.Clicked)

         Me.Text = "Change Caption"
         Me.Size = new Size(250,100)
         Me.Controls.Add(btnChange)
         Me.Controls.Add(tbCaption)
      end sub

      public sub Clicked(Sender as Object, e as EventArgs)
         Me.Hide
      end sub
   end class
End Namespace