using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinforms.Day8 {
   public class Listing81 : Form {
      private Button btData = new Button();
      private Color[] arrColors = {Color.Green, Color.Blue, Color.Red, Color.Orange};

      public Listing81() {
         btData.Location = new Point(100,100);
         btData.Click += new EventHandler(this.Cycle);
         btData.DataBindings.Add("BackColor", arrColors, "");
         btData.DataBindings.Add("Text", arrColors, "");

         this.Controls.Add(btData);
      }

      public void Cycle(Object Sender, EventArgs e) {
         btData.BindingContext[arrColors].Position += 1;
         arrColors[2] = Color.Purple;
      }

      public static void Main() {
         Application.Run(new Listing81());
      }
   }
}