using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinforms.Day10 {
   public class QueryDialog : Form {
      private TextBox tbCommand = new TextBox();
      private Button btExecute = new Button();

      public QueryDialog() {
         tbCommand.Location = new Point(10,10);
         tbCommand.Multiline = true;
         tbCommand.Height = 50;
         tbCommand.Width = 250;

         btExecute.Location = new Point(10,75);
         btExecute.Text = "Execute!";
         btExecute.Click += new EventHandler(this.Execute);

         this.Size = new Size(300,150);
         this.Text = "Query Executor";
         this.Controls.Add(tbCommand);
         this.Controls.Add(btExecute);
      }

      private void Execute(Object Sender, EventArgs e) {
         if (tbCommand.Text != "") {
            if (this.Owner.ActiveMdiChild != null) {

               ((DataDocument)this.Owner.ActiveMdiChild).Execute(tbCommand.Text);
            }
         }
      }
   }
}