using System;
using System.Windows.Forms;
using System.Drawing;

namespace TYWinforms.Day10 {
   public class Document : Form {
      private Button btClick = new Button();
      private MainMenu mnuMain = new MainMenu();

      public Document(String strName) {
         MenuItem miFile = mnuMain.MenuItems.Add("File");
         miFile.MergeType = MenuMerge.MergeItems;

         MenuItem miClose = miFile.MenuItems.Add("Close");
         miClose.MergeOrder = 100;
         miClose.MergeType = MenuMerge.Remove;
         miClose.Click += new EventHandler(this.Clickety);

         btClick.Text = "Close Me!";
         btClick.Location = new Point(100,100);
         btClick.Click += new EventHandler(this.Close);

         this.Menu = mnuMain;
         this.Text = strName;
         this.Controls.Add(btClick);
      }

      public Document() : this("New Document") {}

      private void Clickety(Object Sender, EventArgs e) {
         MessageBox.Show("THIS");
         //this.Close();
      }

      private void HandleMenu(Object Sender, EventArgs e) {
         ColorDialog dlgColor = new ColorDialog();

         if (dlgColor.ShowDialog() == DialogResult.OK) {
            this.BackColor = dlgColor.Color;
         }
      }

      private void Close(Object Sender, EventArgs e) {
         this.Close();
      }
   }
}