using System;
using System.Windows.Forms;
using System.Drawing;
using System.Net;
using System.IO;

namespace TYWinforms.Day12 {
   public class Listing123 : Form {
      private RichTextBox rtbWeb = new RichTextBox();
      private WebRequest objRequest;

      public Listing123() {
         rtbWeb.Dock = DockStyle.Fill;

         objRequest = WebRequest.Create("http://localhost/formpost.aspx");
         
         PostData();
         GetData();

         this.Text = "Listing 12.3";
         this.Controls.Add(rtbWeb);
      }

      private void PostData() {
         objRequest.Method = "POST";
         objRequest.ContentLength = "Hi this is a form post!".Length;
         objRequest.ContentType = "application/x-www-form-urlencoded";

         StreamWriter objWriter = new StreamWriter(objRequest.GetRequestStream());
         objWriter.Write("Hi this is a form post!");
         objWriter.Close();
      }

      private void GetData() {
         WebResponse objResponse = objRequest.GetResponse();
         StreamReader objReader = new StreamReader(objResponse.GetResponseStream());

         rtbWeb.Text = objReader.ReadToEnd();
 
         objReader.Close();
         objResponse.Close();      
      }

      public static void Main() {
         Application.Run(new Listing123());
      }
   }
}