using System;
using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace TYWinforms.Day13 {
   public class Listing131 : Form {
      public Listing131() {
         this.Text = "Listing 13.1";
         this.Paint += new PaintEventHandler(this.PaintMe);
      }

      private void PaintMe(Object Sender, PaintEventArgs e) {
         Graphics objGraphics = e.Graphics;
         Brush brushText = new SolidBrush(Color.Black);
         Font fntText = new Font("Times New Roman", 24, FontStyle.Regular); 

         objGraphics.DrawString("I'm painting!", fntText, brushText, new Point(50,100));
      }

      public static void Main() {
         Application.Run(new Listing131());
      }
   }
}