using System;
using System.Windows.Forms;
using System.Drawing;
using TYWinforms.Day18.Controls;

namespace TYWinforms.Day18 {
   public class ExerciseContainer : Form {
      private Thermostat objStat = new Thermostat();
      private Button btUp = new Button();
      private Button btDown = new Button();

      public ExerciseContainer() {
         btUp.Text = "Up";
         btUp.Location = new Point(30,30);
         btUp.Click += new EventHandler(this.TurnItUp);

         btDown.Text = "Down";
         btDown.Location = new Point(30,70);
         btDown.Click += new EventHandler(this.TurnItDown);

         objStat.Location = new Point(125,10);

         this.Text = "Thermostat Control";
         this.Controls.Add(objStat);
         this.Controls.Add(btUp);
         this.Controls.Add(btDown);
      }

      private void TurnItUp(Object sender, EventArgs e) {
         objStat.Temperature += 1;
      }

      private void TurnItDown(Object sender, EventArgs e) {
         objStat.Temperature -= 1;
      }

      public static void Main() {
         Application.Run(new ExerciseContainer());
      }
   }
}