using System;
using System.Windows.Forms;
using System.Drawing;
using System.Resources;
using System.Reflection;
using System.Threading;
using System.Globalization;
using System.ComponentModel;
using System.Configuration;

namespace TYWinforms.Day20 {
   public class Listing207 : Form {
      private ResourceManager rsmDay20;
      private Label lblMessage = new Label();

      public Listing207() {
         Thread.CurrentThread.CurrentUICulture = new CultureInfo(ConfigurationSettings.AppSettings["Culture"]);

         rsmDay20 = new ResourceManager("Day20", this.GetType().Assembly);

         lblMessage.Text = rsmDay20.GetString("WelcomeMessage");
         lblMessage.Size = new Size(300,100);

         this.Text = rsmDay20.GetString("Caption");
         this.Controls.Add(lblMessage);
         this.Closing += new CancelEventHandler(this.CloseMe);
      }

      private void CloseMe(Object Sender, CancelEventArgs e) {
         MessageBox.Show(rsmDay20.GetString("GoodbyeMessage"));
      }

      public static void Main() {
         Application.Run(new Listing207());
      }
   }
}