using System;
using System.Windows.Forms;
using System.Drawing;
using System.Configuration;

namespace TYWinforms.Day20 {
   public class Listing203 : Form {
      private MainMenu mnuMain = new MainMenu();
      private MenuItem miHelp = new MenuItem("Help");
      private MenuItem miAbout = new MenuItem("About");

      public Listing203() {
         mnuMain.MenuItems.Add(miHelp);
         miHelp.MenuItems.Add(miAbout);

         miAbout.Click += new EventHandler(this.ShowAbout);

         this.Text = ConfigurationSettings.AppSettings["AppName"] + " version " + ConfigurationSettings.AppSettings["Version"];
         this.Menu = mnuMain;
      }

      private void ShowAbout(Object Sender, EventArgs e) {
         MessageBox.Show(ConfigurationSettings.AppSettings["Description"]);
      }

      public static void Main() {
         Application.Run(new Listing203());
      }
   }
}